Bug 1203903 - Drop downs unusable in Gramps
Summary: Drop downs unusable in Gramps
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gramps
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 22:33 UTC by Danny Ciarniello
Modified: 2019-01-09 12:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-29 18:27:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Danny Ciarniello 2015-03-19 22:33:09 UTC
Description of problem:
Drop down entries cannot be selected with mouse.  Keyboard selection is also problematic.

Version-Release number of selected component (if applicable):
4.1.2

How reproducible:
Always

Steps to Reproduce:
1. Go to Reports | Graphs | Family Lines Graph
2. Click on the Name format drop down
3. Try to click on an item with the mouse
4. Use the down arrow to move the selection

Actual results:
Cannot select an item at all with the mouse
With the arrow keys, it is only possible to move the selection once; the selection will not change thereafter

Expected results:
Drop down should be usable.

Additional info:
I am using KDE
When a drop down is open, it is not possible to shift focus to another window
I'm reporting this against Gramps 4.1.2 but it was a problem in the previous version as well.

Comment 1 Gwyn Ciesla 2015-03-20 13:48:53 UTC
Do you have python3-cairo installed, and if not, does installing it help?  We may be missing a dependency.

Comment 2 Danny Ciarniello 2015-03-20 18:27:56 UTC
python3-cairo is installed.  If I try to remove it with yum, gramps is listed as a dependent package so that dependency is good.

Comment 3 Gwyn Ciesla 2015-03-20 19:26:35 UTC
Hmm. If you run it from the command line do you get any errors there?

Comment 4 Danny Ciarniello 2015-03-20 22:13:56 UTC
Unfortunately nothing.  The only command line output is:

(gramps:14704): GLib-GObject-CRITICAL **: g_value_get_int: assertion 'G_VALUE_HOLDS_INT (value)' failed

but this has to do with opening certain dialog boxes (e. g. Reports | Graphs | Family Lines Graph) but not with selecting a drop down.

Comment 5 Danny Ciarniello 2015-07-05 17:27:52 UTC
Is there any progress on this?

Comment 6 Gwyn Ciesla 2015-10-29 14:53:12 UTC
Does 4.1.3 from updates-testing fix this?

Comment 7 Danny Ciarniello 2015-10-29 18:22:02 UTC
I'm no longer using Fedora 21 so I can't check if it works there but I am using Gramps v4.1.3 in Fedora 22 and it is fixed there.  Hopefully that means it's also fixed in F21.

Comment 8 Gwyn Ciesla 2015-10-29 18:27:13 UTC
Very likely, and no one else has reported it so I'll close.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.